package jp.co.okisoft.hibernate.hello;

import java.util.Date;

public class Message {
    private Long id;
    private String text;
    private Date generatedDate;

    public Message() {
        this(null);
    }

    public Message(String text) {
        this.text = text;
        generatedDate = new Date();
    }

    public Date getGeneratedDate() {
        return generatedDate;
    }

    public void setGeneratedDate(Date generated) {
        this.generatedDate = generated;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }
}
